org.eclipse.net4j.util.concurrent

## Class ConcurrencyUtil

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.ConcurrencyUtil

-     public final class ConcurrencyUtil
      extends Object

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `execute(Object executor, Runnable runnable)`
    `static ExecutorService` | `getExecutorService(IManagedContainer container)`
    `static ExecutorService` | `getExecutorService(Object object)`
    `static void` | `sleep(long millis)`
    `static void` | `sleep(long millis, int nanos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### sleep

          public static void sleep(long millis)

    - #### sleep

          public static void sleep(long millis,
                                   int nanos)

    - #### getExecutorService

          public static ExecutorService getExecutorService(IManagedContainer container)

      Since:
        3.5

    - #### getExecutorService

          public static ExecutorService getExecutorService(Object object)

      Since:
        3.6

    - #### execute

          public static void execute(Object executor,
                                     Runnable runnable)

      Since:
        3.6

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html